octave-sparsersb_1.0.6-2_amd64.deb


Advertisement

Description

octave-sparsersb - RSB sparse matrix manipulation for Octave

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename octave-sparsersb_1.0.6-2_amd64.deb
Package name octave-sparsersb
Package version 1.0.6
Package release 2
Package architecture amd64
Package type deb
Category universe/math
Homepage https://octave.sourceforge.io/sparsersb/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 64.12 KB
Installed size 308.00 KB
This package contains an interface to the librsb package implementing
the Recursive Sparse Blocks (RSB) sparse matrix format for fast
shared-memory sparse matrix computations in Octave, a scientific
computation software.
This Octave add-on package is part of the Octave-Forge project.

Alternatives

Package Version Architecture Repository
octave-sparsersb_1.0.6-2_i386.deb 1.0.6 i386 Ubuntu Universe
octave-sparsersb - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:4.0
liboctave6 -
librsb0 -
libstdc++6 >= 5.2
octave >= 4.4.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package octave-sparsersb_1.0.6-2_amd64.deb
Source Package octave-sparsersb

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install octave-sparsersb deb package:
    # sudo apt-get install octave-sparsersb

Files

Path
/usr/lib/x86_64-linux-gnu/octave/packages/sparsersb-1.0.6/x86_64-pc-linux-gnu-api-v52/sparsersb.oct
/usr/share/doc/octave-sparsersb/NEWS
/usr/share/doc/octave-sparsersb/changelog.Debian.gz
/usr/share/doc/octave-sparsersb/copyright
/usr/share/doc/octave-sparsersb/examples/demo_sparsersb.m
/usr/share/doc/octave-sparsersb/examples/lsbench.m
/usr/share/doc/octave-sparsersb/examples/obench.m
/usr/share/doc/octave-sparsersb/examples/octavebench.m
/usr/share/doc/octave-sparsersb/examples/pd.mtx
/usr/share/doc/octave-sparsersb/examples/sparsersbbench.m
/usr/share/doc/octave-sparsersb/examples/sparsersbtester.m
/usr/share/doc/octave-sparsersb/examples/ufsolve.m
/usr/share/octave/packages/sparsersb-1.0.6/matlabbench.m
/usr/share/octave/packages/sparsersb-1.0.6/packinfo/DESCRIPTION
/usr/share/octave/packages/sparsersb-1.0.6/packinfo/INDEX
/usr/share/octave/packages/sparsersb-1.0.6/packinfo/NEWS

Changelog

2019-01-02 - Rafael Laboissiere <rafael@debian.org>
octave-sparsersb (1.0.6-2) unstable; urgency=medium
* d/control:
+ Add Rules-Requires-Root: no
+ Bump Standards-Version to 4.3.0
+ Bump to debhelper compat level 12
* Build-depend on debhelper-compat instead of using d/compat
* d/p/do-not-strip-debugging-symbols.patch: New patch
2018-06-30 - Rafael Laboissiere <rafael@debian.org>
octave-sparsersb (1.0.6-1) unstable; urgency=medium
* New upstream version 1.0.6
2018-06-18 - Rafael Laboissiere <rafael@debian.org>
octave-sparsersb (1.0.5-4) unstable; urgency=medium
[ Mike Miller ]
* d/control: Use secure URL for upstream source.
[ Rafael Laboissiere ]
* d/rules: Use override_dh_installdeb for post-install actions
* d/control: Bump Standards-Version to 4.1.4 (no changes needed)
[ Michele Martone ]
* patch to counter broken build (e.g. octave-forge bug #50764), debian-side.
* new patch: iscomplex has been replaced with is_complex_type.
[ S├ębastien Villemot ]
* Revert "d/rules: Use override_dh_installdeb for post-install actions"
2018-02-10 - Rafael Laboissiere <rafael@debian.org>
octave-sparsersb (1.0.5-3) unstable; urgency=medium
* Use dh-octave for building the package
* d/control:
+ Use Debian's GitLab URLs in Vcs-* headers
+ Change Maintainer to team+pkg-octave-team@tracker.debian.org
2017-12-29 - Rafael Laboissiere <rafael@debian.org>
octave-sparsersb (1.0.5-2) unstable; urgency=medium
[ S├ębastien Villemot ]
* d/copyright: use secure URL for format.
* d/watch: bump to format version 4.
[ Rafael Laboissiere ]
* Use the dh-based version of octave-pkg-dev
* Set debhelper compatibility level to >= 11
* d/control:
+ Bump Standards-Version to 4.1.3 (no changes needed)
+ Add Testsuite field
2017-03-31 - Rafael Laboissiere <rafael@debian.org>
octave-sparsersb (1.0.5-1) unstable; urgency=medium
* New upstream version 1.0.5
* d/copyright: Reflect upstream changes
* d/p/avoid-rpath.patch: Drop patch (applied upstream)
* d/p/drop-power-operator-test.patch: Drop patch (applied upstream)
* d/rules: Prevent the compression of *.m examples
2017-03-20 - Rafael Laboissiere <rafael@debian.org>
octave-sparsersb (1.0.2-3) unstable; urgency=medium
* d/p/drop-power-operator-test.patch: Add patch.
Thanks to Michele Martone for the suggestion (Closes: #857899)
2017-03-15 - Rafael Laboissiere <rafael@debian.org>
octave-sparsersb (1.0.2-2) unstable; urgency=medium
* Upload to unstable
* d/control: Fix typo in package short description
2016-08-20 - Rafael Laboissiere <rafael@debian.org>
octave-sparsersb (1.0.2-1) experimental; urgency=low
* Initial release (closes: #857787)

See Also

Package Description
octave-specfun_1.1.0-5_all.deb special mathematical functions for Octave
octave-splines_1.3.2-6_all.deb cubic spline functions for Octave
octave-statistics_1.4.0-5_all.deb additional statistical functions for Octave
octave-stk_2.5.1-2_amd64.deb (not so) Small Toolbox for Kriging
octave-strings_1.2.0-4_amd64.deb additional string manipulation functions for Octave
octave-struct_1.0.15-2_amd64.deb additional structure manipulation functions for Octave
octave-symbolic_2.7.1-2_all.deb symbolic package for Octave
octave-tsa_4.4.5-4_all.deb time series analysis in Octave
octave-vibes_0.2.0-3_amd64.deb VIBes API to easily display results in Octave
octave-vlfeat_0.9.21+dfsg0-3build1_amd64.deb Computer vision library focussing on visual features and clustering
octave-vrml_1.0.13-5_all.deb VRML functions for Octave
octave-zenity_0.5.7-9_all.deb simple graphical user interfaces using zenity in Octave
octave-zeromq_1.3.0-4_amd64.deb ZeroMQ binding for Octave
octave_4.4.1-5_amd64.deb GNU Octave language for numerical computations
octavia-api_4.0.0-0ubuntu1_all.deb OpenStack Load Balancer as a Service - API frontend
Advertisement
Advertisement